From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/j2objc-annotations/
Date: Thu, 9 May 2024 11:08:52 +0000 (UTC) [thread overview]
Message-ID: <1715252823.c8876af6fc98999c5cecbf108a81119dbd6eacab.flow@gentoo> (raw)
commit: c8876af6fc98999c5cecbf108a81119dbd6eacab
Author: Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Wed May 8 21:40:41 2024 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Thu May 9 11:07:03 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c8876af6
dev-java/j2objc-annotations: add 3.0.0 - drop restriction on jdk:1.8
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>
dev-java/j2objc-annotations/Manifest | 1 +
.../j2objc-annotations-3.0.0.ebuild | 30 ++++++++++++++++++++++
2 files changed, 31 insertions(+)
diff --git a/dev-java/j2objc-annotations/Manifest b/dev-java/j2objc-annotations/Manifest
index 7ce33bc9a26c..1c40e9bd5e29 100644
--- a/dev-java/j2objc-annotations/Manifest
+++ b/dev-java/j2objc-annotations/Manifest
@@ -1 +1,2 @@
DIST j2objc-2.8.tar.gz 29383083 BLAKE2B a2d288b95fac5d5fafbf5e3c8c7c862e41ba9562f6a3f367ee03574db0f07e030f7812de7d0cf63c97acdbbf8ddd8128fe14e89e97623d6d3cf7b85071e160b3 SHA512 f93a77db3a672691666de317010e455aceb20313a40217270cf4cfd082a0443f7f5cf6f53f06a1006d0a2788c199685a574b0acb435dccdc4e419a2340451860
+DIST j2objc-3.0.0.tar.gz 29562144 BLAKE2B b0dc9aeef148ee29154062228049b4db86648fb66b93d224d536a3c0b7e56eb4850d38761b59c6728b005e1520a7a3c07ef3bdb3662d9cad52794ec3ce533426 SHA512 b7e295e448caa61d03c12cde77266ab397f27a5632ab01944571736a79860fa0375279f27fcb1870d0452bde4d8b50ee453a88a23e5b92c1ef0411d4212f3779
diff --git a/dev-java/j2objc-annotations/j2objc-annotations-3.0.0.ebuild b/dev-java/j2objc-annotations/j2objc-annotations-3.0.0.ebuild
new file mode 100644
index 000000000000..ef37166a0b5c
--- /dev/null
+++ b/dev-java/j2objc-annotations/j2objc-annotations-3.0.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source"
+MAVEN_ID="com.google.j2objc:j2objc-annotations:${PV}"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Annotations for the J2ObjC Java to Objective-C translator"
+HOMEPAGE="https://developers.google.com/j2objc/"
+SRC_URI="https://github.com/google/j2objc/archive/${PV}.tar.gz -> j2objc-${PV}.tar.gz"
+S="${WORKDIR}/j2objc-${PV}/annotations"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+DEPEND=">=virtual/jdk-1.8:*"
+RDEPEND=">=virtual/jre-1.8:*"
+
+DOCS=( ../{CONTRIBUTING,README}.md )
+
+JAVA_SRC_DIR="src/main/java"
+
+src_prepare() {
+ default
+ rm Makefile || die
+}
next reply other threads:[~2024-05-09 11:08 UTC|newest]
Thread overview: 27+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-05-09 11:08 Florian Schmaus [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-21 7:45 [gentoo-commits] repo/gentoo:master commit in: dev-java/j2objc-annotations/ Miroslav Šulc
2024-06-20 21:46 Sam James
2024-06-20 18:40 Arthur Zamarin
2024-06-20 17:43 Sam James
2024-06-20 17:40 Arthur Zamarin
2024-05-21 7:52 Miroslav Šulc
2022-08-20 4:02 Miroslav Šulc
2022-08-19 16:54 Sam James
2022-08-19 16:54 Sam James
2022-08-19 6:18 Arthur Zamarin
2022-08-19 5:54 Arthur Zamarin
2022-07-19 19:26 Florian Schmaus
2022-01-21 16:16 Miroslav Šulc
2022-01-21 15:32 Miroslav Šulc
2022-01-21 12:42 Sam James
2022-01-20 16:40 Arthur Zamarin
2022-01-20 13:08 Jakov Smolić
2022-01-20 13:08 Jakov Smolić
2021-12-22 18:47 Arthur Zamarin
2021-12-21 8:04 Miroslav Šulc
2021-11-10 16:47 Sam James
2021-11-10 16:47 Sam James
2021-06-14 6:39 Sergei Trofimovich
2017-08-31 19:55 James Le Cuirot
2017-07-13 20:42 Alexis Ballier
2016-11-05 22:49 James Le Cuirot
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1715252823.c8876af6fc98999c5cecbf108a81119dbd6eacab.flow@gentoo \
--to=flow@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox